<?php
/**
 * The template for displaying all the posts
 *
 * @package ClubCar
 */

?>

<div class="posts position-relative">
	<div class="row">
<?php $clubcar_i = 1; ?>
<?php if ( have_posts() ) : ?>
	<?php while ( have_posts() ) : ?>
		<?php the_post(); ?>
		<?php if ( 4 === $clubcar_i || 5 === $clubcar_i ) : ?>
			<div class="col-12 col-md-6 mb-4">
		<?php else : ?>
			<div class="col-12 col-md-6 col-lg-4 mb-4">
		<?php endif; ?>
				<div id="post-<?php the_ID(); ?>" <?php post_class( 'h-100' ); ?>>
					<div class="post-item post-item-<?php echo esc_attr( $clubcar_i ); ?> h-100 position-relative">
						<div class="row">
							<div class="col-12">
								<div class="post-image position-relative">
									<a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>" class="h-100 d-block">
										<?php the_post_thumbnail( 'medium_large' ); ?>
										<div class="post-overlay position-absolute">
											<div class="post-overlay-arrow position-absolute"></div>
										</div>
									</a>
									<div class="post-categories-list position-absolute">
										<?php echo wp_kses_post( get_the_category_list() ); ?>
									</div>
								</div>
							</div>
							<div class="col-12">
								<div class="post-info w-100 position-relative p-4">
								<?php if ( 'post' === get_post_type() ) : ?>
									<div class="post-meta mb-3">
										<span class="post-date">
											<?php echo esc_html( the_time( get_option( 'date_format' ) ) ); ?>
										</span>
									<?php if ( post_password_required() !== true ) : ?>
										<span class="post-comments ms-2">
											<i class="far fa-comment me-1"></i><?php comments_number( __( '0 Comments', 'clubcar' ), __( '1 Comment', 'clubcar' ), __( '% Comments', 'clubcar' ) ); ?>
										</span>
									<?php endif; ?>
									</div>
								<?php endif; ?>
									<div class="post-title position-relative">
										<h2 class="mb-4"><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
									</div>
									<div class="post-message">
										<?php the_excerpt(); ?>
									</div>
								</div>
							</div>
						
						</div>
					</div>
				</div>
			</div>
		<?php $clubcar_i++; ?>
	<?php endwhile; ?>
<?php else : ?>
	<?php get_template_part( 'no-results' ); ?>
<?php endif; ?>
	</div>
</div>
<div class="page-nav mt-5">
	<?php the_posts_pagination(); ?>
</div>
